# Delete Timecard Punch

> DELETE /v1/timekeeping/timecard/punches/{punchId}

`DELETE https://app.untetherlabs.com/api/v1/timekeeping/timecard/punches/{punchId}`

Delete a punch

## Request

```bash
curl -X DELETE 'https://app.untetherlabs.com/api/v1/timekeeping/timecard/punches/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
  -H 'Authorization: Bearer $UNTETHER_API_KEY'
```

## Path parameters

- `punchId` (uuid, required)

## Response 200

- `timecardId` (uuid, required)
- `providerId` (uuid, required)
- `generated` (boolean, default false)
- `createdAt` (string, required, example "2024-11-20T07:43:34+0000")
- `updatedAt` (string, required, example "2024-11-20T07:43:34+0000")
- `action` (string, required)
- `state` (TimecardPunchState, required, one of `pending`, `approved`, `rejected`)
- `time` (string, required, example "2024-11-20T07:43:34+0000")
- `providerNote` (string | null, required, example "Felt sick, had to leave early.")
- `adminNote` (string | null, required, example "Adjusted to schedule.")

## Errors

- `validation` (400) — Input validation failed.
- `timecard-punch-not-found` (404) — A specified timecard punch does not exist in the system.
